import React, { useRef, useState, useEffect } from 'react';
import PickerContextWrapper from '../context.js';
import Picker from './Picker.js';
import { defaultLocales } from '../constants.js';
import { objectToString, validateTheme } from '../utils/utils.js';
export function ColorPicker({ value = 'rgba(175, 51, 242, 1)', onChange, hideControls = false, hideInputs = false, hideOpacity = false, hidePresets = false, hideHue = false, presets = [], hideEyeDrop = false, hideAdvancedSliders = false, hideColorGuide = false, hideInputType = false, hideColorTypeBtns = false, hideGradientType = false, hideGradientAngle = false, hideGradientStop = false, hideGradientControls = false, locales = defaultLocales, width = 294, height = 294, style = {}, className, theme, allowDark = true, }) {
    const contRef = useRef(null);
    const [bounds, setBounds] = useState({});
    const safeValue = objectToString(value);
    const currentTheme = validateTheme(allowDark, theme);
    console.log(currentTheme);
    document.body.style.boxSizing = 'borderBox';
    useEffect(() => {
        if (contRef && contRef?.current) {
            setBounds(contRef?.current?.getBoundingClientRect());
        }
    }, []);
    return (React.createElement("div", { ref: contRef, style: { ...style, width: width }, className: className },
        React.createElement(PickerContextWrapper, { bounds: bounds, value: safeValue, onChange: onChange, squareSize: width, squareHeight: height, hideOpacity: hideOpacity, currentTheme: currentTheme },
            React.createElement(Picker, { hideControls: hideControls, hideInputs: hideInputs, hidePresets: hidePresets, hideOpacity: hideOpacity, hideHue: hideHue, presets: presets, hideEyeDrop: hideEyeDrop, hideAdvancedSliders: hideAdvancedSliders, hideColorGuide: hideColorGuide, hideInputType: hideInputType, hideColorTypeBtns: hideColorTypeBtns, hideGradientType: hideGradientType, hideGradientAngle: hideGradientAngle, hideGradientStop: hideGradientStop, hideGradientControls: hideGradientControls, locales: locales }))));
}
